#property indicator_separate_window

#property indicator_buffers 1

#property indicator_color1 Red

//---- buffers

double ExtMapBuffer1[];
extern string Sym_2 = "CHFJPY";
extern double HedgeRatio = 1.8;
extern int BarsNumber = 500;

//+------------------------------------------------------------------+

//| Custom indicator initialization function |

//+------------------------------------------------------------------+

int init()

{

//---- indicators

SetIndexStyle(0,DRAW_LINE);

SetIndexBuffer(0,ExtMapBuffer1);

string short_name = "Hedge-Ratio";

IndicatorShortName(short_name);

//----

return(1);

}

//+------------------------------------------------------------------+

//| Custor indicator deinitialization function |

//+------------------------------------------------------------------+

int deinit()

{

//----

//----

return(0);

}

//+------------------------------------------------------------------+

//| Custom indicator iteration function |

//+------------------------------------------------------------------+

int start()

{

int counted_bars=IndicatorCounted();

//---- check for possible errors

if (counted_bars<0) return(-1);

//---- last counted bar will be recounted

if (counted_bars>0) counted_bars--;

int pos=BarsNumber; //Bars-counted_bars;
double dCurr , dRef , dResult; 


//---- main calculation loop

while(pos>=0)

{
             
dRef = iClose(Sym_2,0,pos);
dCurr = Close[pos];

//Watch this - you will always get a positive ratio
if (dRef>dCurr) {dResult = dRef-dCurr;}
if (dCurr>dRef) {dResult = dCurr-dRef;}

ExtMapBuffer1[pos]= dCurr/dRef;

pos--;

}

//----

return(0);

}

//+------------------------------------------------------------------+


